Quassel IRC - Bug #692

backslashes in buffer names are being escaped
05/11/2009 11:42 PM - sph

Status: Resolved Start date: 05/11/2009
Priority: High Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.5-pre 0S: Any
Description

As showed on the attached screenshot, the PM with 'visser\\' is shown as 'visser\\\\' in the bufferlist. It makes replying impossible
because it opens a second buffer 'visser\\\' and tries to write your message there, which of course fails since the nick 'visser\\\\' does
not exist.

We tested this a bit before. New buffers do not seem to be affected, so | guess it happens when a temporarily hidden buffer is shown
again. Definitely an annoying issue as there are quite a few people using a backslash in their name :)

Associated revisions

Revision a702aa44a055274a5cc8363e596¢7bf944915613 - 07/26/2009 06:04 PM - Marcus Eggenberger

Fixes #692 - double escaping of backslashes when using Postgres
It is strongly recommended that Postgres users do upgrade to this version.

Revision a702aa44 - 07/26/2009 06:04 PM - Marcus Eggenberger
Fixes #692 - double escaping of backslashes when using Postgres

It is strongly recommended that Postgres users do upgrade to this version.

History

#1 - 05/22/2009 01:58 AM - EgS

I'm sadly unable to reproduce this. But this screenshot is pretty convincing. :)

Can you go a litte more into detail what you mean with "New buffers do not seem to be affected"? | doubt that the temporarily hidden flag has
anything to do with it, as it just determines whether or not to display that buffer at all. Temporarily hiding my testquery didn't help reproducing the
error.

There's like a ton of places where Qt could magically add quotes so right now it's pretty much a search for the needle in the haystack... :(

I'm also pretty surprised that the (query) buffer "visser\" shows up twice in your buffer list while it should be unique. Could you please check the db
for the actual name of those two buffers? also what backend are you using? (I was testing it with sqlite)

#2 - 05/22/2009 04:22 PM - sph
I'm using PostgreSQL.

quassel=# select buffername from buffer where buffercname like 'visser%';
buffername

visser \\\\\\\\
visser\\\\away
(2 rows)

With 'new buffers appear not affected' | meant that the first time someone PM's me | can answer properly. However, the next time it's not working
anymore with that nickname. I'm not sure if that's related to buffer hiding or if it's a client restart thing. So take that bit with a grain of salt ;)

#3 - 05/26/2009 02:37 AM - sph

It also occurs in the backlog itself.

[02:29:27] <sph> a quick test: one backslash: \
*client restart*

[02:30:19] <sph> [02:29:27] <sph> a quick test: one backslash: \\
quassel=# select * from backlog where message like '$%backslash:%';

messageid | time | bufferid | type | flags | senderid | message

——————————— B et A Attt
1152799 | 2009-05-26 00:29:27 | 22 | 1 1| 97 | a quick test: one backslash: \\
1152804 | 2009-05-26 00:30:19 | 22 | 1| 1| 97 | [02:29:27] <sph> a quick test: one bac

kslash: \\\\

(2 rows)

#4 - 07/26/2009 06:16 PM - EgS
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset a702aa44a055274a5cc8363e596c7bf944915613.
